summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorvarac <varacanero@zeromail.org>2016-08-30 19:48:48 +0200
committervarac <varacanero@zeromail.org>2016-08-30 19:49:49 +0200
commite9a4f439da7355dfe48a3f38aef8e291ea795bef (patch)
tree06a2407d2014acded7167f00ea7c6bae04ceff75 /bin
parentd3bde1463bd31121a0015a93ad29f4db69fd77c7 (diff)
break on every deploy error
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ci-build.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/ci-build.sh b/bin/ci-build.sh
index 7b4895e5..248bd9f8 100755
--- a/bin/ci-build.sh
+++ b/bin/ci-build.sh
@@ -2,6 +2,9 @@
. tests/puppet/provider/.platform-test.conf
+# break on every error
+set -e
+
# create node(s) with unique id so we can run tests in parallel
export TAG="build${CI_BUILD_ID}"
[ -d "${PROVIDERDIR}/tags" ] || mkdir "${PROVIDERDIR}/tags"